DLDI issue?

Discussion in 'DSTT' started by mr.unlikely, Jul 23, 2008.

Jul 23, 2008

DLDI issue? by mr.unlikely at 2:42 PM (868 Views / 0 Likes) 3 replies

  1. mr.unlikely
    OP

    Newcomer mr.unlikely Newbie

    Joined:
    Jul 23, 2008
    Messages:
    3
    Country:
    United Kingdom
    hello there

    Im new

    just got my DSTT, almost everything seems to be running fine which is a relief given the complaints ive seen

    however, when i try and run homebrew through dsOrganise it says i havent patched it with a DLDI, i thought DSTT autopatches? It wont run any homebrew despite some running off the main menu. Any ideas?

    Also is it possible to run GBA roms without a slot 2 device?

    (posted in FAQ too)
     
  2. Kazumastars

    Newcomer Kazumastars Advanced Member

    Joined:
    Jul 2, 2008
    Messages:
    79
    Country:
    United States
    That's strange. I've never had my DSTT with DSOrganize say that. Try running it through YSMenu. That MIGHT work. Otherwise, you can try reverting to an old DSOrganize if you're using the latest one and it isn't working for you.


    No it is not possible to run GBA roms without a slot 2 device.

    Btw, what homebrew were you trying to run?
     
  3. mr.unlikely
    OP

    Newcomer mr.unlikely Newbie

    Joined:
    Jul 23, 2008
    Messages:
    3
    Country:
    United Kingdom
    The exact message is

    "You haven't patched DSOrganize with any DLDI file. The Chishm loader requires you to have a DLDI patched DSOraganize or a dldi file in your resources directory."

    this is with any homebrew i try to run through DSO, (doom, glitchDS, scummVM). They all start up in the main menu.

    Im not sure what the version is though, will find out when i get home
     
  4. Bri

    Member Bri GBAtemp Psycho!

    Joined:
    Dec 25, 2007
    Messages:
    3,413
    Country:
    United States
    Each flash cart has its own DLDI file, so it sounds like it's looking for the DLDI patch file for your cart which it then applies to your homebrew. However, the DSTT is supposed to autopatch, so there should be no need. I don't remember ever having a problem using DSOrganize on the DSTT to run homebrew.

    If you want to try to install the DLDI for the DSTT, you'll need to look at the DSOrganize documentation to see where and how to install it, etc. There was a thread on this forum about where to get the DLDI file for the DSTT, but I don't recall where it is offhand. There is a file named ttio.dldi available from Yasu's website. Anyone know if that's it (I think it is)?

    -Bri
     

Share This Page